Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.acl
Class AclRealm

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.tools.resources.FramedResource
                        |
                        +--org.w3c.tools.resources.ResourceFrame
                              |
                              +--org.w3c.tools.resources.MetaDataFrame
                                    |
                                    +--org.w3c.jigsaw.acl.JAcl
                                          |
                                          +--org.w3c.jigsaw.acl.AclRealm

public class AclRealm
extends JAcl

Field Summary
`protected static int` | `ATTR_ALLOWED_USERS` Attribute index - The list of allowed users.
`protected static int` | `ATTR_METHODS` Attribute index - The methods protected by the filter.
`protected static int` | `ATTR_REALM` Attribute index - The realm name for this ACL.
`protected RealmsCatalog` | `catalog` The catalog of realms that make our scope.
`protected java.util.Vector` | `entries`
`protected IPMatcher` | `ipmatcher` The IPMatcher to match IP templates to user records.
`protected java.lang.String` | `loaded_realm` The nam of the realm we cache in `realm`.
`protected ResourceReference` | `rr_realm` Our associated realm.

Fields inherited from class org.w3c.tools.resources.ResourceFrame
`filterClass, frameListener, resource`

Fields inherited from class org.w3c.tools.resources.FramedResource
`ATTR_OID, attrListener, debugEvent, event_disabled, framesRef, structListener`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL, co, id`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, values`

Constructor Summary
`AclRealm()`

Method Summary
`protected void` | `acquireRealm()` Get a pointer to our realm, and initialize our ipmatcher.
`boolean` | `addEntry(java.security.Principal caller, java.security.acl.AclEntry entry)`
`boolean` | `addOwner(java.security.Principal caller, java.security.Principal owner)`
`boolean` | `checkPermission(java.security.Principal principal, java.security.acl.Permission permission)`
`protected boolean` | `checkUser(AuthUser user)` Is this user allowed in the realm ?
`protected void` | `createEntry(AuthUser user)`
`boolean` | `deleteOwner(java.security.Principal caller, java.security.Principal owner)`
`java.util.Enumeration` | `entries()`
`java.lang.String[]` | `getAllowedUsers()` Get the list of allowed users.
`java.lang.String[]` | `getMethods()` Get the list of methods that this filter protect
`java.lang.String` | `getName()`
`java.util.Enumeration` | `getPermissions(java.security.Principal user)`
`java.lang.String` | `getRealm()` Get the realm of this filter.
`protected boolean` | `hasPrincipal(java.security.Principal p)`
`void` | `initialize(java.lang.Object[] values)` Initialize the Acl.
`boolean` | `isOwner(java.security.Principal owner)`
`boolean` | `removeEntry(java.security.Principal caller, java.security.acl.AclEntry entry)`
`void` | `setName(java.security.Principal caller, java.lang.String name)`
`java.lang.String` | `toString()`

Methods inherited from class org.w3c.tools.resources.MetaDataFrame
`getTargetResource, perform`

Methods inherited from class org.w3c.tools.resources.ResourceFrame
`addFrameEventListener, attributeChanged, checkRequest, eventDisabled, fireFrameEvent, frameModified, getFilters, getFilters, getFrameReference, getResource, getResourceReference, getSpaceEntry, getURLPath, lookup, lookupFilters, lookupFrames, postFrameEvent, processEvent, registerResource, removeFrameEventListener, setValue, unregisterResource, updateDefaultChildAttributes`

Methods inherited from class org.w3c.tools.resources.FramedResource
`addAttributeChangedListener, addStructureChangedListener, collectFramesReference, delete, disableEvent, displayEvent, enableEvent, fireAttributeChangeEvent, fireStructureChangedEvent, fireStructureChangedEvent, frameAdded, frameRemoved, getClone, getFrame, getFrame, getFrameReference, getFrameReference, getFramesReference, getOid, markModified, notifyUnload, performFrames, postAttributeChangeEvent, postEvent, postStructureChangedEvent, postStructureChangedEvent, registerFrame, registerFrameIfNone, removeAttributeChangedListener, removeStructureChangedListener, setSilentValue, setSilentValue, unregisterFrame`

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, getContext, getFrame, getFrames, getHelpURL, getHelpURL, getIdentifier, getLastModified, getParent, getServer, getSpace, getStoreEntry, getValue, getValue, initialize, isInitialized, isUnloaded, pickleValues, setContext, setContext, setValue, unsafeGetContext, unsafeGetIdentifier, unsafeGetValue, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, lookupAttribute, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, unsafeGetString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ATTR_REALM

    protected static int ATTR_REALM

  Attribute index - The realm name for this ACL.

### ATTR_ALLOWED_USERS

    protected static int ATTR_ALLOWED_USERS

  Attribute index - The list of allowed users.

### ATTR_METHODS

    protected static int ATTR_METHODS

  Attribute index - The methods protected by the filter.

### ipmatcher

    protected IPMatcher ipmatcher

  The IPMatcher to match IP templates to user records.

### catalog

    protected RealmsCatalog catalog

  The catalog of realms that make our scope.

### rr_realm

    protected ResourceReference rr_realm

  Our associated realm.

### loaded_realm

    protected java.lang.String loaded_realm

  The nam of the realm we cache in `realm`.

### entries

    protected java.util.Vector entries

Constructor Detail

### AclRealm

    public AclRealm()

Method Detail

### getMethods

    public java.lang.String[] getMethods()

  Get the list of methods that this filter protect
  Returns:
    An array of String giving the name of the protected methods, or null, in wich case all methods are to be protected.

### getRealm

    public java.lang.String getRealm()

  Get the realm of this filter.

### getAllowedUsers

    public java.lang.String[] getAllowedUsers()

  Get the list of allowed users.

### acquireRealm

    protected void acquireRealm()

  Get a pointer to our realm, and initialize our ipmatcher.

### checkUser

    protected boolean checkUser(AuthUser user)

  Is this user allowed in the realm ?
  Returns:
    A boolean true if access allowed.

### createEntry

    protected void createEntry(AuthUser user)

### hasPrincipal

    protected boolean hasPrincipal(java.security.Principal p)

### addOwner

    public boolean addOwner(java.security.Principal caller,
                            java.security.Principal owner)
                     throws java.security.acl.NotOwnerException

### deleteOwner

    public boolean deleteOwner(java.security.Principal caller,
                               java.security.Principal owner)
                        throws java.security.acl.NotOwnerException,
                               java.security.acl.LastOwnerException

### isOwner

    public boolean isOwner(java.security.Principal owner)

### setName

    public void setName(java.security.Principal caller,
                        java.lang.String name)
                 throws java.security.acl.NotOwnerException

### getName

    public java.lang.String getName()

### addEntry

    public boolean addEntry(java.security.Principal caller,
                            java.security.acl.AclEntry entry)
                     throws java.security.acl.NotOwnerException

### removeEntry

    public boolean removeEntry(java.security.Principal caller,
                               java.security.acl.AclEntry entry)
                        throws java.security.acl.NotOwnerException

### getPermissions

    public java.util.Enumeration getPermissions(java.security.Principal user)

### entries

    public java.util.Enumeration entries()

### checkPermission

    public boolean checkPermission(java.security.Principal principal,
                                   java.security.acl.Permission permission)

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

### initialize

    public void initialize(java.lang.Object[] values)

  Initialize the Acl.
  Overrides:
    initialize in class FramedResource
  Tags copied from class: FramedResource
  Parameters:
    `values` - Default attribute values.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD